﻿html {
    height: 100%;
}

body {
    font-family: Tahoma,verdana, sans-serif;
    font-size: 14px;
    height: 100%;
}

a {
    color: #0086AC !important;
    text-decoration: none;
}

    a:hover {
        opacity: 0.8 !important;
        text-decoration: none !important;
    }

button:hover {
    opacity: 0.8 !important;
}

input, select {
    margin-top: 5px !important;
}

.custom-select {
    background-image: url('../images/arrow.png') !important;
    background-repeat: no-repeat;
    background-position: right 0.7rem top 50%;
    appearance: none;
    background-size: 1.2rem auto;
}
    .custom-select:hover {
        cursor: pointer;
    }

input[type="checkbox"] {
    width: 25px;
    height: 25px;
    accent-color: #0086AC;
    cursor: pointer;
    border: 1px solid #CCCCCC !important;
    border-radius: 3px;
    -webkit-appearance: none;
    appearance: none;
}

    input[type="checkbox"]:hover {
        background-color: #EAECEE;
    }

    input[type="checkbox"]:checked {
        background-color: #0086AC;
        background-image: url('../../Contents/images/icon-check.png');
        background-size: 18px 15px;
        background-repeat: no-repeat;
        background-position: center;
        background-origin: content-box;
        padding-top: 5px;
    }

        input[type="checkbox"]:checked:hover {
            background-color: #006d8c;
        }

    input[type="checkbox"]:focus {
        outline: none !important;
    }

.header {
    font-size: 22px;
    font-weight: bold;
    color: #0086AC;
}

.title {
    font-size: 16px;
    font-weight: bold;
    color: #0086AC;
}

.subtitle {
    font-size: 14px;
    font-weight: bold;
}

.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    background-color: #EEEEEE;
    position: relative;
}

.content-box {
    background-color: #F6F6F6;
    margin: 1rem;
    max-height: calc(100% - 3rem);
    overflow: auto;
    width: 500px;
    border-radius: 10px;
    padding: 20px 30px;
}

#login-warning {
    text-align: left;
    font-weight: 500;
    color: #ED7D31;
    font-family: Tahoma !important;
}

.primary-btn {
    background-color: #0086AC !important;
    color: #FFFFFF !important;
    border: none !important;
    min-height: 40px !important;
    font-size: 16px !important;
    display: grid !important;
    place-content: center;
}

    .primary-btn:disabled, .primary-btn[disabled] {
        background-color: #cccccc !important;
    }

.alert-box {
    min-height: 40px;
    border-radius: 4px;
    align-content: center;
    padding: 4px 10px;
    display: none;
    align-items: center;
    margin-bottom: 17px;
}

.alert-box img {
    margin-right: 6px;
}

.warning-alert {
    color: #D36012;
    border: 1px solid #D36012;
    background-color: #F6EAE3;
}

.success-alert {
    color: #0086AC;
    border: 1px solid #0086AC;
    background-color: #DDEBEF;
}

input:focus, select:focus {
    border-color: #C6C7C8 !important;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(198, 199, 200,.6) !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(198, 199, 200,.6) !important;
}

/*------------------------------- scroll bar -------------------------------*/
/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    /*background: #f1f1f1;*/
    /*padding: 5px;*/
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #D9D9D9;
    border-radius: 10px;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #d2cfcf;
    }

/*-----------------------------------------------------------------*/
div.boxed {
    margin: auto auto;
    width: 100%;
    padding: 1em;
    text-align: left;
}

#main {
    text-align: center;
    position: relative;
    padding-top: 0;
    margin: auto auto;
    width: 100%;
    clear: both;
}

#message-warning {
    color: red;
    font-size: 14px;
    font-weight: lighter;
}

#loginButton, #clearButton {
    font-family: Tahoma, verdana, sans-serif;
    font-size: 16px;
}

#version {
    font-size: 12px;
    font-weight: lighter;
}

#forget-pass {
    color: gray;
    font-weight: lighter;
}

table, tr, td {
    vertical-align: middle;
}

#message-success {
    color: red;
    font-size: 12px;
    font-weight: lighter;
}

.grey {
    color: grey;
    font-weight: lighter;
}

.row {
    padding-left: 15px;
    padding-right: 15px;
}

.label-note {
    width: 70px;
    font-weight: inherit;
    margin: 0;
}

.label-note2 {
    width: 10px;
    font-weight: inherit;
    margin: 0;
}

.label-note-hidden {
    visibility: hidden;
}

@media (min-width: 480px) {
    div.boxed {
        width: 530px;
    }

    #main {
        padding-top: 5%;
    }

    #header {
        padding: 30px;
    }
}
